Unserialize a ReadConcern

- « MongoDB\Driver\ReadConcern::serialize

- MongoDB\Driver\Cursor »

- PHP Manual
- MongoDB\Driver\ReadConcern
- Unserialize a ReadConcern

# MongoDB\Driver\ReadConcern::unserialize

(mongodb >=1.7.0)

MongoDB\Driver\ReadConcern::unserialize — Unserialize a ReadConcern

### Description

final public MongoDB\Driver\ReadConcern::unserialize(string `$data`): void

### Parameters

`data`

  The serialized MongoDB\Driver\ReadConcern.

### Return Values

No value is returned.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.
- Throws MongoDB\Driver\Exception\UnexpectedValueException if the properties cannot be unserialized (i.e. `serialized` was malformed).
- Throws MongoDB\Driver\Exception\InvalidArgumentException if the properties are invalid (e.g. missing fields or invalid values).

### See Also

- MongoDB\Driver\ReadConcern::serialize() - Serialize a ReadConcern
- unserialize() - Creates a PHP value from a stored representation
- Serializing Objects